<script>
    // Import
    import Scatterplot from './_ex_7_scatterplot.svelte';
    import { json } from 'd3-fetch';
    import { onMount } from 'svelte';

    // Load data
    let data = null;
    onMount(async () => {
        data = await json('/data/gapminder.json');
        data = data.filter(item => item.year == "1800")[0].countries;
    });
</script>

{#if data != null}
    <Scatterplot data={data}/>
{:else}
    <p>Loading data</p>
{/if}
